# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

from osv import fields, osv
import addons

class load_link(osv.osv_memory):
    _rec_name = 'logo'
    _name = 'load.link'
    
    _columns = {
        'logo' : fields.binary('Logo'),
    }
    
    def _get_logo(self, cr, uid, context=None):
        logo_path = addons.get_module_resource('account_check_order','images','OSLogosmall.gif')
        return open(logo_path, 'rb').read().encode('base64')
    
    _defaults = {
        'logo' : _get_logo,
    }

    def do_load_link(self, cr, uid, ids, context=None):
        return {
        'type': 'ir.actions.act_url',
        'url': "http://www.open-supplies.com",
        'target': 'new',
        }

load_link()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
